com.trilead.ssh2.transport

## Class TransportConnection

- java.lang.Object
- - com.trilead.ssh2.transport.TransportConnection

    public class TransportConnection
    extends java.lang.Object

TransportConnection.

### Constructor Summary

Constructors
Constructor and Description
`TransportConnection(java.io.InputStream is, java.io.OutputStream os, java.security.SecureRandom rnd)`

### Method Summary

Methods
`void` `changeRecvCipher(BlockCipher bc, MAC mac)`
`void` `changeSendCipher(BlockCipher bc, MAC mac)`
`int` `getPacketOverheadEstimate()`
`int` `peekNextMessageLength()`
`int` `receiveMessage(byte[] buffer, int off, int len)`
`void` `sendMessage(byte[] message)`
`void` `sendMessage(byte[] message, int off, int len)`
`void` `sendMessage(byte[] message, int off, int len, int padd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransportConnection

    public TransportConnection(java.io.InputStream is,
                       java.io.OutputStream os,
                       java.security.SecureRandom rnd)

### Method Detail

#### changeRecvCipher

    public void changeRecvCipher(BlockCipher bc,
                        MAC mac)

#### changeSendCipher

    public void changeSendCipher(BlockCipher bc,
                        MAC mac)

#### sendMessage

    public void sendMessage(byte[] message)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### sendMessage

    public void sendMessage(byte[] message,
                   int off,
                   int len)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### getPacketOverheadEstimate

    public int getPacketOverheadEstimate()

#### sendMessage

    public void sendMessage(byte[] message,
                   int off,
                   int len,
                   int padd)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### peekNextMessageLength

    public int peekNextMessageLength()
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### receiveMessage

    public int receiveMessage(byte[] buffer,
                     int off,
                     int len)
                       throws java.io.IOException

Throws:
  `java.io.IOException`